<?php

/**
 * @file
 * Contains Views hooks.
 */

/**
 * Implements hook_views_data().
 */
function annotation_text_views_data() {
  $data['annotation_text'] = array(
    'table' => array(
      'group' => t('Annotation text'),
      'join' => array(
        'node' => array(
          'left_field' => 'vid',
          'field' => 'vid',
        ),
        'comments' => array(
          'left_field' => 'cid',
          'field' => 'cid',
        ),
      ),
    ),
    'offset' => array(
      'title' => t('Offset'),
      'help' => t('The offset of the selected text.'),
      'field' => array(
        'handler' => 'views_handler_field_numeric',
        'click sortable' => TRUE,
       ),
      'filter' => array(
        'handler' => 'views_handler_filter_numeric',
      ),
      'sort' => array(
        'handler' => 'views_handler_sort',
      ),
    ),
    'length' => array(
      'title' => t('Length'),
      'help' => t('The length of the selected text.'),
      'field' => array(
        'handler' => 'views_handler_field_numeric',
        'click sortable' => TRUE,
       ),
      'filter' => array(
        'handler' => 'views_handler_filter_numeric',
      ),
      'sort' => array(
        'handler' => 'views_handler_sort',
      ),
    ),
    'string' => array(
      'title' => t('String'),
      'help' => t('The selected text.'),
      'field' => array(
        'handler' => 'views_handler_field',
        'click sortable' => TRUE,
       ),
      'filter' => array(
        'handler' => 'views_handler_filter_string',
      ),
      'sort' => array(
        'handler' => 'views_handler_sort',
      ),
    ),
  );
  return $data;
}
